package com.lovecoding.practice;


/**
 * @author WanJl
 * @version 1.0
 * @title Practice_4
 * @description 百鸡问题：公鸡5元一只，母鸡3元一只，小鸡1元3只。100元钱买100只鸡，求所有的买法
 * @create 2026/7/7
 */
public class Practice_4 {
    public static void main(String[] args) {
        for (int gj = 0; gj <=20 ; gj++) {
            for (int mj = 0; mj <=33; mj++) {
                int xj=100-gj-mj;
                // 小鸡的数量不能是负数
                // 小鸡的个数必须是整数并且被3整除
                // 公鸡的个数*公鸡的价钱 + 母鸡的个数*母鸡的价钱 + 小鸡的个数*小鸡的价钱 == 100 元
                if (xj>=0 && xj % 3==0&& 5 * gj +3 * mj + xj / 3 ==100){
                    System.out.println("公鸡："+gj);
                    System.out.println("母鸡："+mj);
                    System.out.println("小鸡："+xj);
                    System.out.println("---------------------------------");
                }
            }
        }


    }
}
